Agregar registros a una lista
curl --request PUT \
--url https://api.hubapi.com/crm/lists/2026-03/{listId}/memberships/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
"<string>"
]'import requests
url = "https://api.hubapi.com/crm/lists/2026-03/{listId}/memberships/add"
payload = ["<string>"]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify(['<string>'])
};
fetch('https://api.hubapi.com/crm/lists/2026-03/{listId}/memberships/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recordIdsMissing": [
"<string>"
],
"recordIdsRemoved": [
"<string>"
],
"recordsIdsAdded": [
"<string>"
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Membresías
Add records to a list
Agrega los registros proporcionados a la lista. Se ignoran los registros que no existen o que ya son miembros de la lista.
Este punto de terminación solo funciona para listas que tienen un “processingType” de “MANUAL” o “INSTANTÁNEA”.
PUT
/
crm
/
lists
/
2026-03
/
{listId}
/
memberships
/
add
Agregar registros a una lista
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El ID de ILS de la lista "MANUAL" o "INSTANTÁNEA".
Cuerpo
application/json
Respuesta
successful operation
Los ID de los registros identificados como "faltante" (por ejemplo, no existían en el portal) y, por lo tanto, no fueron "agregados" o "eliminados".
Los ID de los registros que fueron "eliminados" de la lista.
Última modificación el 3 de abril de 2026